"======================================================================
|
|   SDL declarations 
|
|
 ======================================================================"


"======================================================================
|
| Copyright 2006 Free Software Foundation, Inc.
| Written by Brad Watson
|
| This file is part of GNU Smalltalk.
|
| GNU Smalltalk is free software; you can redistribute it and/or modify it
| under the terms of the GNU General Public License as published by the Free
| Software Foundation; either version 2, or (at your option) any later version.
|
| GNU Smalltalk is distributed in the hope that it will be useful, but WITHOUT
| ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
| FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
| details.
|
| You should have received a copy of the GNU General Public License along with
| GNU Smalltalk; see the file COPYING.  If not, write to the Free Software
| Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
|
 ======================================================================"


"======================================================================
|
|   Notes: implemented without callbacks.  
|  
 ======================================================================"

Object subclass: #Sdl
    instanceVariableNames: ''
    classVariableNames: ''
    poolDictionaries: ''
    category: 'Sdl Wrapper'! !

DLD addLibrary: 'libSDL'!

!Sdl class methodsFor: 'Constants'!

sdlInitTimer
    ^16r00000001!

sdlInitAudio
    ^16r00000010!

sdlInitVideo
    ^16r00000020!

sdlInitCdrom
    ^16r00000100!

sdlInitJoystick
    ^16r00000200!

sdlInitNoParachute
    ^16r00100000!

sdlInitEventThread
    ^16r01000000!

sdlInitEverything
    ^16r0000FFFF!

!Sdl class methodsFor: 'C call-outs'!

sdlInit: aUint
    "I Initialize SDL. My c function call prototype:

    extern DECLSPEC int SDLCALL SDL_Init(Uint32 flags);"
    <cCall: 'SDL_Init' returning: #int 
        args: #( #uInt )>!

sdlInitSubSystem: aUint
    "I can initialize uninitialized subsystems My c function call
    prototype:

    extern DECLSPEC int SDLCALL SDL_InitSubSystem(Uint32 flags);"
    <cCall: 'SDL_InitSubSystem' returning: #int 
        args: #( #uInt )>!

sdlQuitSubSystem
    "I shut down a subsystem that has been previously initialized by
    SDL_Init or SDL_InitSubSystem. My c function call prototype is:

    extern DECLSPEC void SDLCALL SDL_QuitSubSystem(Uint32 flags);"
    <cCall: 'SDL_QuitSubSystem' returning: #void 
        args: #( #uInt )>!

sdlWasInit: aCobject0 
    "I answer which SDL subsytems have been initialized. My c function
    call prototype is:

     extern DECLSPEC Uint32 SDLCALL SDL_WasInit(Uint32 flags);"
    <cCall: 'SDL_WasInit' returning: #int 
        args: #( #uInt  )>!

sdlQuit
    "I shut down all SDL subsystems and free the resources allocated
    to them. My c function call prototype is:

     extern DECLSPEC void SDLCALL SDL_Quit(void);"
    <cCall: 'SDL_Quit' returning: #void 
        args: #( )>! !
